Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector Class Reference

Injects into a View parameters that were collected via the EventDispatcher. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector:

## Public Member Functions
| __construct (EventDispatcherInterface $eventDispatcher)
| injectViewParameters (View $view, array $parameters)

## Private Attributes
| $eventDispatcher

## Detailed Description

Injects into a View parameters that were collected via the EventDispatcher.

Definition at line 18 of file EventDispatcherInjector.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector::__construct | ( | EventDispatcherInterface | $eventDispatcher | ) |

Definition at line 23 of file EventDispatcherInjector.php.

References eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector\$eventDispatcher.

## Member Function Documentation

## ◆ injectViewParameters()

eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector::injectViewParameters | ( | View | $view,
|  | array | $parameters
| ) |  |

Implements eZ\Publish\Core\MVC\Symfony\View\ParametersInjector.

Definition at line 28 of file EventDispatcherInjector.php.

References eZ\Publish\Core\MVC\Symfony\View\View\addParameters(), and eZ\Publish\Core\MVC\Symfony\View\ViewEvents\FILTER_VIEW_PARAMETERS.

## Member Data Documentation

## ◆ $eventDispatcher

eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector::$eventDispatcher
| private

Definition at line 21 of file EventDispatcherInjector.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector\__construct().

The documentation for this class was generated from the following file:

- EventDispatcherInjector.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.